Subject: [bug#75570] [PATCH] gnu: Add emacs-erc.

From: Ian Eure <[email-masked]>
Date: Fri, 14 Feb 2025 07:05:02 -0800

Hi Arjan,

This package has an unusal dev/release model which presents some 
problems for Guix.  The current release of a package on ELPA gets 
a .tar suffix, and when a new release is uploaded, the old one is 
renamed to .tar.lz.  Old releases are unavailable as plain .tars, 
and new releases are unavailable as .tar.lzs.  Practically 
speaking, this means that Guix packages which download source from 
ELPA will break whenever a new version is released; this also 
causes problems for things like `guix time-machine'.

Ordinarily, I’d suggest changing the origin to use the upstream 
Git repo, but since that’s the Emacs source tree, I’m not sure 
that makse sense.

I’m cc’ing the rest of emacs-team to see if any of them have 
thoughts on this.

  -- Ian